module Skrill
  class Payment
    module Utils
      def assign_attirbutes(attributes)
        attributes.each { |attribute, value| public_send("#{attribute}=", value) }
      end

      def serialize_arguments(arguments)
        arguments.inject({}) do |serialized_data, argument|
          value = public_send(argument)
          serialized_data[argument] = value if value
          serialized_data
        end
      end
    end
  end
end
